Bug 1276696 - modules not loaded on boot
modules not loaded on boot
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
22
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Václav Pavlín
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 10:19 EDT by Richard Jasmin
Modified: 2016-07-19 15:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:21:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Jasmin 2015-10-30 10:19:41 EDT
Description of problem:

/etc/modules isnt loading my modules on boot
some apps and daemons(demons, whatever) like to have thier ducks in a row after booting but this isnt happening. This is glaringly obvious when running apps like fldigi or dated apps using older soundcard interfaces.

/dev/dsp isnt here.....geee, I wonder Y? THE FRIGGIN MODULE AINT LOADED!

True, Im using a modified file. But this should not prevent the file from loading on boot.At a loss why this is.I have stuff in here that needs to load on boot like tpm, sounds modules and crypto modules for ecryptfs(Private home folder). Yet none of these are loaded.
HINT:
If theres no ecryptfs module loaded, your Private folder wont mount.

Version-Release number of selected component (if applicable):
detected in 22, but Ive been using this setup since 21.

How reproducible:
every boot

Steps to Reproduce:
1.modify the file and put something there like snd-pcm-oss
2.reboot
3.check for /dev/dsp

Actual results:
!!

Expected results:
this file should load everything
Comment 1 Kevin Fenzi 2015-10-30 13:36:32 EDT
What file are you putting that in? /etc/modules? thats not used. 

See 'man modules-load.d' for the current method. 

You need /etc/modules-load.d/something.conf files with the modules you wish to load in it/them. 

If you switch to that does it work?
Comment 2 Richard Jasmin 2015-12-17 12:15:48 EST
/etc/modules is the normal standard way. If this standard has changed then we need to notify people as such.

Document it or something.Write a BS comment there that says moved. Do something.

I will have to reboot and see. That may explain some things.
Comment 3 Fedora End Of Life 2016-07-19 15:21:22 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.